:root {
  --switch-width: 60px;
  --switch-height: 26px;
  --switch-round: 50px;
  --switch-padding-x: 5px;
  --switch-bg: linear-gradient(to bottom, #73bbff, #a2d1fd);
  --switch-dark-bg: linear-gradient(to top, #000000, #000000);
  --border-width: 2px;
  --border-gradient: linear-gradient(to bottom, #a2d1fd, #cde7ff);
  --border-dark-gradient: linear-gradient(to bottom, #454545, #454545);
  --sunmoon-size: 22px;
  --transition: all 0.5s ease;

  --sunmoon: #ffc187;
  --sunmoon-box: 0px 0px 11.7px 0px #ffc187, 0px 0px 20px 0px #ffc18768, -2px -2px 5px 0px #ffab5c inset;

  --bg-color: #f9f9f9;
  --text-color: #1a1a1a;

  --navigation-shadow: 0 2px 4px rgba(0, 0, 0, 0.08);
  --navigation-hover: linear-gradient(#ffffff, #e6e6e6);

  --navigation-active: #f0f0f0;
  --navigation-active-shadow: 0 2px 5px rgba(0, 0, 0, 0.25), inset 0 1px 1px rgba(255, 255, 255, 0.1);
  --navigation-active-hover: brightness(0.97);

  --zone1-color: #dceeff;
  --zone2-color: #dfffea;
  --zone3-color: #ffe0e0;

  --training-planner-th: #f7f7f7;

  --plannerTimeSlot-bg-color: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.15),
    rgba(0, 0, 0, 0.05)
  );
  --plannerTimeSlot-currenttime-color: #1d4ed8;
  --plannerTimeGrid-bg-color: --bg-color;
  --plannerCurrentTime-color: #333;

  --projecttag-color: #6d6657;

  --postcard-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);

  --input-bg: #f9f9f9;

  --button-primary: #007bff;
  --button-primary-hover: #003977;

  --button-secondary: #000000;
  --button-secondary-bg-color: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.2),
    rgba(0, 0, 0, 0.15)
  );
  --button-secondary-bg-color-hover: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.3),
    rgba(0, 0, 0, 0.25)
  );

  --button-delete: #dc3545;
  --button-delete-hover: #d40015;

  --button-save: #28a745;
  --button-save-hover: #16722b;
}

body.dark {
  --sunmoon: #fff7ec;
  --sunmoon-box: 0px 0px 51.7px 0px #fff7ec;

  --bg-color: #121212;
  --text-color: #fff7ec;

  --navigation-shadow: 0 2px 4px rgba(255, 255, 255, 0.08);
  --navigation-hover: linear-gradient(#121212, #363432);

  --navigation-active: rgb(44, 43, 41);
  --navigation-active-shadow: 0 2px 5px rgba(255, 255, 255, 0.3), inset 0 1px 1px rgba(0, 0, 0, 0.1);
  --navigation-active-hover: brightness(1.15);

  --zone1-color: #52abfd;
  --zone2-color: #3ea74f;
  --zone3-color: #b13f3f;

  --training-planner-th: #353535;

  --plannerTimeSlot-bg-color: linear-gradient(
    to bottom,
    rgba(50, 50, 50, 0.15),
    rgba(240, 240, 240, 0.05)
  );
  --plannerTimeSlot-currenttime-color: #89b6ff;
  --plannerTimeGrid-bg-color: --bg-color;
  --plannerCurrentTime-color: #aaaaaa;

  --projecttag-color: #c2b8a3;

  --postcard-shadow: 0 4px 10px rgba(120, 120, 120, 0.2);

  --input-bg: #fff7ec;

  --button-primary: linear-gradient(to bottom, #3b82f6, #2563eb);
  --button-primary-hover: linear-gradient(to bottom, #2563eb, #1d4ed8);

  --button-secondary: #ffffff;
  --button-secondary-bg-color: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0.10),
    rgba(200, 200, 200, 0.3)
  );
  --button-secondary-bg-color-hover: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0.10),
    rgba(200, 200, 200, 0.4)
  );
  --button-delete: #dc3545;
  --button-delete-hover: #d40015;

  --button-save: #28a745;
  --button-save-hover: #16722b;
}

body {
  background-color: var(--bg-color);
  color: var(--text-color);
  transition: background-color 0.3s ease, color 0.3s ease;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  max-width: 100vw;
  overflow-x: hidden;
}

a {
  color: var(--text-color);
  text-decoration: underline;
}

.pagecontainer {
padding: 5%;
}